Subject: Re: bug#21959: [25.1.50.1] No way to save customization from emacs -Q

From: Eli Zaretskii <[email-masked]>
Date: Fri, 20 Nov 2015 10:24:59 +0200

> Date: Fri, 20 Nov 2015 08:24:23 +0100
> From: Andreas Röhler <[email-masked]>
> CC: [email-masked]
> 
> >       If Emacs was invoked with the `-q' or `--no-init-file' options
> >    (*note Initial Options::), it will not let you save your customizations
> >    in your initialization file.  This is because saving customizations
> >    from such a session would wipe out all the other customizations you
> >    might have on your initialization file.
> >
> 
> Hmm, maybe not link saving and wiping out?
> What is the rational for theses connection?

AFAIU, Customize cannot _update_ your settings (which might include
customizations of more than one feature) without _loading_ them from
your ~/.emacs first.  All it can do is to write out the few (usually,
just one) customizations you did in the "emacs -Q" session, replacing
whatever was there before.  This effectively "wipes out" what you had
there.

> What about having these separated and a command "clear customizations"?

Not sure how that would help; see above.

I think a way forward would be to teach Customize to _add_
customizations rather than _replace_ them.  If that's possible.
Patches welcome.